package net.lensfrex.rd.dao.mapper.course;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import net.lensfrex.rd.data.entity.table.Course;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CourseMapper extends BaseMapper<Course> {
    List<Course> getCourseByMajorAndGrade(@Param("major") String major,
                                          @Param("grade") Integer grade,
                                          @Param("springTerm") Boolean sprintTerm
    );

    Object getCourseDetail(String course);
}
