package net.lensfrex.rd.dao.mapper.score;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import net.lensfrex.rd.data.dto.score.ScheduleScore;
import net.lensfrex.rd.data.dto.score.StudentScore;
import net.lensfrex.rd.data.entity.table.Score;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ScoreMapper extends BaseMapper<Score> {
    List<StudentScore> getStudentScore(@Param("student") String student);

    List<ScheduleScore> getScheduleAllStudentScore(@Param("scheduleId")String scheduleId);

    void insertOrUpdateScore(@Param("score") Score score);

    void insertOrUpdateScoreBatch(@Param("scores") List<Score> score);
}
