package net.lensfrex.rd.data.dto.course;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CourseDTO {
    private String id;

    /**
     * 课程名称
     */
    private String name;

    /**
     * 课时
     */
    private Integer courseHours;

    /**
     * 上课专业id
     */
    private List<String> targetMajor;

    /**
     * 上课年级,使用大x表示,如大二：2
     */
    private List<Integer> targetGrade;

    /**
     * 是否春季期课程（false即是秋季期）
     */
    private Boolean springTerm;

}
