package net.lensfrex.rd.data.model.request.admin;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Builder;

import java.time.LocalDateTime;

@Builder
public record ActivityInfoDto(String id, String name, String term,
                              @JsonFormat(locale = "zh", timezone = "GMT+8")
                              LocalDateTime start,
                              @JsonFormat(locale = "zh", timezone = "GMT+8")
                              LocalDateTime end) {
}
