package net.lensfrex.rd.data.model.response.course;

import lombok.Data;

import java.util.List;

/**
 * 待选课程响应
 */
@Data
public class CandidateCourseResponse {
    /**
     * 课程id
     */
    private String id;

    /**
     * 课程名称
     */
    private String name;

    /**
     * 课时
     */
    private String courseHours;

    /**
     * 上课专业id
     */
    private List<String> targetMajor;

    /**
     * 上课年级,使用大x表示,如大二：2
     */
    private List<Integer> targetGrade;

    /**
     * 是否春季期课程（false即是秋季期）
     */
    private Boolean springTerm;
}
