# 功能详情

一些概念：
  - 课程：一门课
  - *课堂*：实际上课的一门课程，即具体安排的一门课，同一个课程的不同时间安排，就是一个*课堂*
  - 选课：实际上就是在选课活动的时间内，学生对*课堂*的选择
  - 选课活动：一个学期的选课活动，在选课时间段内学生可以进行任意的选课，是面向所有学生的，其对应课程在查看待选*课堂*时进行筛选

> 选课信息是实时的，不需要等待选课活动结束才能得到名单，也可以立即导出，在选课活动结束后只是学生不能再进行选课以及修改


## 用户（学生）

1. 学生进入网页，使用教务处账号登录认证，获取学生信息，进入系统
2. 进入系统后可自动获取显示自己专业自己年级待选的实验课列表
3. 在选课时间段内，可点击相应的实验课后查看可选则的时间段。选择相应的时间段（+如可能，可以拉取教务处课表以供时间选择的参考）
4. 在选课时间段内，可以任意更改所选课程的时间段。
5. 选课结束后，可以查看已选择的时间，未来或许可能会将数据同步至武科大助手课表与教务处课表一同显示
6. 课程结束后，可以按课程查看分数详情，包括平时分和考试分以及最后总分。（+如可能，可以将成绩细分为实验课内的每个实验项目）

## 教师

1. 教师账号通过管理员手动添加
2. 教师登陆后可以查看自己教授的课程，
3. 查看自己教的课程列表，可以查看该课程相应的*课堂*，进而可以查看*课堂*信息（选课人数，时间等），包括学生名单，并将其导出为excel
4. 教师可以按照*课堂*对全班学生进行成绩登记，包括平时成绩与考试成绩，管理员设定该*课堂*的成绩占比后可以立即计算所有学生的最终成绩，并将其导出excel
5. 教师仍可以查看往期*课堂*的信息，包括学生名单和全班成绩信息等

## 管理员

1. 管理员是负责对*课堂*、课程等信息进行管理的用户
2. 管理员可以增删查改*课堂*、课程信息，设定相应的参数信息。
3. 由管理员发布选课活动，设定*课堂*的成绩比例
4. 管理员可以查看所有信息（学生+教师）
5. 管理员也可查看未完整进行选课（一个或多个课程仍未进行选课）的学生列表（需要提前导入学生列表）

一些信息的参数：
  -  选课活动：名称，学年学期（如2023-2024-1），目标年级（多选），目标专业（多选），开始时间，结束时间
  -  课程：名称，课时，目标年级（多选），目标专业（多选）
  -  *课堂*：对应课程id，起始周，上课时间（12345678节等等），上课地点，成绩占比
