package net.lensfrex.rd.dao.mapper.schedule;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import net.lensfrex.rd.data.entity.table.CourseSchedule;
import net.lensfrex.rd.data.entity.table.TeacherClass;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TeacherClassMapper extends BaseMapper<TeacherClass> {
    Integer insetBatch(@Param("scheduleId") String scheduleId,
                       @Param("teachers") List<String> teachers
    );

    List<CourseSchedule> getScheduleForTeacher(@Param("teacher") String teacher, @Param("term") String term);
}
