package net.lensfrex.rd.data.entity.table;

import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
public class CourseSelection implements Serializable {
    /**
     * 选课记录id
     */
    private String id;

    /**
     * 学生id
     */
    private String student;

    /**
     * 课堂id
     */
    private String schedule;

    /**
     * 课堂id
     */
    private String activity;

    /**
     * create_time
     */
    private LocalDateTime createTime;

    /**
     * edit_time
     */
    private LocalDateTime editTime;

    /**
     * delete
     */
    private Boolean deleted;

    public CourseSelection() {
    }
}