package net.lensfrex.rd.data.entity.table;

import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
public class ExperimentItem implements Serializable {


    /**
     * 实验项目id
     */
    private String id;

    /**
     * 项目名称
     */
    private String name;

    /**
     * 课程id
     */
    private String course;

    /**
     * create_time
     */
    private LocalDateTime createTime;

    /**
     * edit_time
     */
    private LocalDateTime editTime;

    /**
     * delete
     */
    private Boolean deleted;

    public ExperimentItem() {
    }
}