package net.lensfrex.rd.data.entity.table;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 *
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Score implements Serializable {
    private String id;

    private String student;

    @TableField("class")
    private String schedule;

    private Float usualScore;

    private Float examScore;

    private LocalDateTime createTime;

    private LocalDateTime editTime;

    private Boolean deleted;
}
