package net.lensfrex.rd.data.entity.table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
public class TeacherClass implements Serializable {

    /**
     * 教师id
     */
    @TableId(type = IdType.INPUT)
    private String teacher;

    /**
     * 课程班级id
     */
    @TableField("class")
    private String clazz;

    /**
     * create_time
     */
    private LocalDateTime createTime;

    /**
     * edit_time
     */
    private LocalDateTime editTime;

    /**
     * deleted
     */
    private Boolean deleted;

    public TeacherClass() {
    }
}