package net.lensfrex.rd.data.model.request.course;

import lombok.Data;

import java.util.List;

@Data
public class CourseRequest {
    /**
     * 课程名称
     */
    private String name;

    /**
     * 课时
     */
    private Integer courseHours;

    /**
     * 上课专业id
     */
    private List<String> targetMajor;

    /**
     * 上课年级,使用大x表示,如大二：2
     */
    private List<Integer> targetGrade;

    /**
     * 是否春季期课程（false即是秋季期）
     */
    private Boolean springTerm;
}
