import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.JavaType;
import com.fasterxml.jackson.databind.ObjectMapper;
import net.lensfrex.rd.data.dto.score.ScheduleScore;

import java.util.HashMap;

public class JacksonTest {
    private static final ObjectMapper objectMapper = new ObjectMapper();
    private static final JavaType FLOAT_MAP_TYPE =
            objectMapper.getTypeFactory().constructMapType(HashMap.class, String.class, Float.class);

    public static void main(String[] args) throws JsonProcessingException {
        String json = "{\n" +
                "  \"id\": \"\",\n" +
                "  \"name\": \"\",\n" +
                "  \"number\": \"\",\n" +
                "  \"usualScore\": 0.00,\n" +
                "  \"examScore\": 0.00\n" +
                "}";

        ScheduleScore scheduleScore = objectMapper.readValue(json, ScheduleScore.class);

        System.out.println(scheduleScore);
    }
}
